# Shapes

Simple shapes rendered entirely from GLSL without the use of vertex buffers or geometry shaders.

The shapes are suitable for instanced rendering, debugging, skybox or particle systems.<br>
The implementation is not optimized and the lack of vertex buffers does not necessarily result in faster rendering.

| Preview | Description |
| --- | --- |
| <a href="#shapes"><img src="https://github.com/szabolcsdombi/zengl-example-images/raw/examples/shapes/box_shape.png" width="180" /></a> | <ul><li>[box_shape.py](https://github.com/szabolcsdombi/zengl/blob/main/examples/shapes_from_glsl/box_shape.py)</li><li>36 vertices</li><li>12 triangles</li></ul> |
| <a href="#shapes"><img src="https://github.com/szabolcsdombi/zengl-example-images/raw/examples/shapes/cylinder_shape.png" width="180" /></a> | <ul><li>[cylinder_shape.py](https://github.com/szabolcsdombi/zengl/blob/main/examples/shapes_from_glsl/cylinder_shape.py)</li><li>132 vertices</li><li>44 triangles</li></ul> |
| <a href="#shapes"><img src="https://github.com/szabolcsdombi/zengl-example-images/raw/examples/shapes/sphere_shape.png" width="180" /></a> | <ul><li>[sphere_shape.py](https://github.com/szabolcsdombi/zengl/blob/main/examples/shapes_from_glsl/sphere_shape.py)</li><li>240 vertices</li><li>80 triangles</li></ul> |
| <a href="#shapes"><img src="https://github.com/szabolcsdombi/zengl-example-images/raw/examples/shapes/uvsphere_shape.png" width="180" /></a> | <ul><li>[uvsphere_shape.py](https://github.com/szabolcsdombi/zengl/blob/main/examples/shapes_from_glsl/uvsphere_shape.py)</li><li>144 vertices</li><li>48 triangles</li></ul> |
| <a href="#shapes"><img src="https://github.com/szabolcsdombi/zengl-example-images/raw/examples/shapes/point_shape.png" width="180" /></a> | <ul><li>[point_shape.py](https://github.com/szabolcsdombi/zengl/blob/main/examples/shapes_from_glsl/point_shape.py)</li><li>60 vertices</li><li>20 triangles</li></ul> |
| <a href="#shapes"><img src="https://github.com/szabolcsdombi/zengl-example-images/raw/examples/shapes/facing_square.png" width="180" /></a> | <ul><li>[facing_square.py](https://github.com/szabolcsdombi/zengl/blob/main/examples/shapes_from_glsl/facing_square.py)</li><li>4 vertices</li><li>2 triangles</li></ul> |
| <a href="#shapes"><img src="https://github.com/szabolcsdombi/zengl-example-images/raw/examples/shapes/facing_circle.png" width="180" /></a> | <ul><li>[facing_circle.py](https://github.com/szabolcsdombi/zengl/blob/main/examples/shapes_from_glsl/facing_circle.py)</li><li>16 vertices</li><li>14 triangles</li></ul> |
